Jump to content

Archived

This topic is now archived and is closed to further replies.

skybiker

Twin Otter v1.11 to v1.21?

Recommended Posts

Hi,

I just reïnstalled DHC-C Twin otter on my new PC. I bought the CD in 2008. So the version i'm reïnstalling is V1.11 (saw it while reïnstalling)

When I register the cd at the product supportpage, I see that there is an update v.21. I can't see wether this is an update for me or not.

Also I can't see anything about 'extended' on my version of the DHC-6, so I don't think I have the extended version.

Can anyone tell me if I should install the update v1.21?

Thanks.

Share this post


Link to post
Share on other sites

The Twinotter Extended is a complety new product. But as owner of the old version you are entitled for a 20% discount. Just enter your serial number during the purchasing process in the corresponding field.

Share this post


Link to post
Share on other sites

The Twinotter Extended is a complety new product. But as owner of the old version you are entitled for a 20% discount. Just enter your serial number during the purchasing process in the corresponding field.

ok, thanks for clarifying the 'extended' version.

But the version v1.21 is still not clear. Anyone else can advise on that?

Share this post


Link to post
Share on other sites

Version 1.21 is the latest version for the old Twinotter and is a full build for those with the download version. It is the same as the boxed version you own. So no need to install it.

Share this post


Link to post
Share on other sites

Version 1.21 is the latest version for the old Twinotter and is a full build for those with the download version. It is the same as the boxed version you own. So no need to install it.

Ok, clear now. Tnx!!

Share this post


Link to post
Share on other sites

Version 1.21 is the latest version for the old Twinotter and is a full build for those with the download version. It is the same as the boxed version you own. So no need to install it.

I went to Aerosoft downloads page and I only see ver 1.11?

Where is ver 1.21?

Share this post


Link to post
Share on other sites

Hello,

i would like to ask if there is the possibility to buy a Otter for the FS9? That would be very appreciated and welcomed.

Share this post


Link to post
Share on other sites

Both the old and the new extended Twin Otters are for FSX only.

You cannot convert the models to funktion in FS9, since FS9 has a much lower limit for number of polygons etc..

Finn

Share this post


Link to post
Share on other sites

Hello Finn,

thanks for your reply. I understand in general why the FSX Model could not be converted. I just want to know,

if aerosoft could may produce a FS9 version of this bird. I am sure that the FS9 Users will appreciate it.

Share this post


Link to post
Share on other sites

Hello Finn,

thanks for your reply. I understand in general why the FSX Model could not be converted. I just want to know,

if aerosoft could may produce a FS9 version of this bird. I am sure that the FS9 Users will appreciate it.

Sorry that will not happen. Not nearly enough customers to make it commercially possible.

Share this post


Link to post
Share on other sites
Guest
This topic is now closed to further replies.

×
×
  • Create New...